petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetNearNullSpace

attaches a null space to a matrix, which is often the null space (rigid body modes) of the operator without boundary conditions This null space will be used to provide near null space vectors to a multigrid preconditioner built from this matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetNearNullSpace(Mat mat,MatNullSpace nullsp)

Logically Collective on Mat and MatNullSpace Many br

### Input Parameters

| mat | - the matrix Many br
| nullsp | - the null space object Many br

Many br

### Notes

Overwrites any previous near null space that may have been attached Many br

You can remove the null space by calling this routine with an nullsp of NULL Many br

### See Also

MatCreate(), MatNullSpaceCreate(), MatSetNullSpace(), MatNullSpaceCreateRigidBody(), MatGetNearNullSpace()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html